rootDir=$(pwd -P)

wget https://download.open-mpi.org/release/open-mpi/v4.1/openmpi-4.1.5.tar.gz
pip install sphinx-rtd-theme
pip install recommonmark
tar -xvf openmpi-4.1.5.tar.gz
cd $rootDir/openmpi-4.1.5
./configure --prefix=/opt/openmpi
make all -j32
sudo make install
echo "export PATH=/opt/openmpi/bin:\$PATH" >> $HOME/.bashrc
echo "export LD_LIBRARY_PATH=/opt/openmpi/lib:\$LD_LIBRARY_PATH" >> $HOME/.bashrc
export PATH=/opt/openmpi/bin:$PATH
export LD_LIBRARY_PATH=/opt/openmpi/lib:$LD_LIBRARY_PATH
cd $rootDir
rm openmpi-4.1.5.tar.gz

wget https://download.open-mpi.org/release/hwloc/v2.10/hwloc-2.10.0.tar.gz
tar -xvf hwloc-2.10.0.tar.gz
cd $rootDir/hwloc-2.10.0
./configure --prefix=/opt/hwloc
make all -j32
sudo make install
echo "export PATH=/opt/hwloc/bin:\$PATH" >> $HOME/.bashrc
echo "export LD_LIBRARY_PATH=/opt/hwloc/lib:\$LD_LIBRARY_PATH" >> $HOME/.bashrc
export PATH=/opt/hwloc/bin:$PATH
export LD_LIBRARY_PATH=/opt/hwloc/lib:$LD_LIBRARY_PATH

cd $rootDir
rm hwloc-2.10.0.tar.gz
cd $rootDir/cado-nfs
rm -rf build

if [ -f local.sh ]; then
    echo 'local.sh file exists.'
else
    cp local.sh.example local.sh
    echo "build_tree=$rootDir/cado-nfs/build/cado-nfs-build" >> local.sh
    echo "MPI=/opt/openmpi" >> local.sh
    echo "HWLOC=/opt/hwloc" >> local.sh
    echo "FLAGS_SIZE=\"-DSIZEOF_P_R_VALUES=8\"" >> local.sh
fi
make -j $(nproc)
